// Code generated by goctl. DO NOT EDIT.
package types

import (
	"fusenapi/utils/basic"
)

type Request struct {
}

type RequestBasicInfoForm struct {
	FirstName            string `form:"first_name,optional" db:"first_name"`                         // FirstName
	LastName             string `form:"last_name,optional" db:"last_name"`                           // LastName
	Company              string `form:"company,optional" db:"company"`                               // 公司名称
	Mobile               string `form:"mobile,optional" db:"mobile"`                                 // 手机号码
	Email                string `form:"email" db:"email"`                                            // 邮箱
	Status               int64  `form:"status,optional" db:"status"`                                 // 1正常 0不正常
	IsOrderStatusEmail   int64  `form:"is_order_status_email,optional" db:"is_order_status_email"`   // 订单状态改变时是否接收邮件
	IsEmailAdvertisement int64  `form:"is_email_advertisement,optional" db:"is_email_advertisement"` // 是否接收邮件广告
	IsOrderStatusPhone   int64  `form:"is_order_status_phone,optional" db:"is_order_status_phone"`   // 订单状态改变是是否接收电话
	IsPhoneAdvertisement int64  `form:"is_phone_advertisement,optional" db:"is_phone_advertisement"` // 是否接收短信广告
	IsOpenRender         int64  `form:"is_open_render,optional" db:"is_open_render"`                 // 是否打开个性化渲染（1：开启，0：关闭）
	IsLowRendering       int64  `form:"is_low_rendering,optional" db:"is_low_rendering"`             // 是否开启低渲染模型渲染
	IsRemoveBg           int64  `form:"is_remove_bg,optional" db:"is_remove_bg"`                     // 用户上传logo是否去除背景
	NewPassword          string `form:"new_password,optional" db:"new_password"`                     // new_password 如果存在新密码
}

type RequestUserLogin struct {
	Name     string `form:"name"`
	Password string `form:"pwd"`
}

type DataUserLogin struct {
	Token string `json:"token"`
}

type DataUserBasicInfo struct {
	Id                   int64  `db:"id"`         // ID
	FaceId               int64  `db:"face_id"`    // facebook的userid
	Sub                  int64  `db:"sub"`        // google的sub
	FirstName            string `db:"first_name"` // FirstName
	LastName             string `db:"last_name"`  // LastName
	Username             string `db:"username"`   // 用户名
	Company              string `db:"company"`    // 公司名称
	Mobile               string `db:"mobile"`     // 手机号码
	AuthKey              string `db:"auth_key"`
	PasswordHash         string `db:"password_hash"`
	VerificationToken    string `db:"verification_token"`
	PasswordResetToken   string `db:"password_reset_token"`
	Email                string `db:"email"`                  // 邮箱
	Type                 int64  `db:"type"`                   // 1普通餐厅 2连锁餐厅
	Status               int64  `db:"status"`                 // 1正常 0不正常
	IsDel                int64  `db:"is_del"`                 // 是否删除 1删除
	CreatedAt            int64  `db:"created_at"`             // 添加时间
	UpdatedAt            int64  `db:"updated_at"`             // 更新时间
	IsOrderStatusEmail   int64  `db:"is_order_status_email"`  // 订单状态改变时是否接收邮件
	IsEmailAdvertisement int64  `db:"is_email_advertisement"` // 是否接收邮件广告
	IsOrderStatusPhone   int64  `db:"is_order_status_phone"`  // 订单状态改变是是否接收电话
	IsPhoneAdvertisement int64  `db:"is_phone_advertisement"` // 是否接收短信广告
	IsOpenRender         int64  `db:"is_open_render"`         // 是否打开个性化渲染（1：开启，0：关闭）
	IsThousandFace       int64  `db:"is_thousand_face"`       // 是否已经存在千人千面（1：存在，0：不存在）
	IsLowRendering       int64  `db:"is_low_rendering"`       // 是否开启低渲染模型渲染
	IsRemoveBg           int64  `db:"is_remove_bg"`           // 用户上传logo是否去除背景
}

type DataGetType struct {
	Id   int64  `db:"id" json:"key"`    // ID
	Name string `db:"name" json:"name"` // 餐厅名字
}

type Response struct {
	Code    int         `json:"code"`
	Message string      `json:"msg"`
	Data    interface{} `json:"data"`
}

type Auth struct {
	AccessSecret string `json:"AccessSecret"`
	AccessExpire int    `json:"AccessExpire"`
}

// Set 设置Response的Code和Message值
func (resp *Response) Set(Code int, Message string) {
	resp.Code = Code
	resp.Message = Message
}

// Set 设置整个Response
func (resp *Response) SetWithData(Code int, Message string, Data interface{}) {
	resp.Code = Code
	resp.Message = Message
	resp.Data = Data
}

// SetMessage 设置Response的Message
func (resp *Response) SetMessage(msg string) {
	resp.Message = msg
}

// SetWithData 设置Data
func (resp *Response) SetData(Data interface{}) {
	resp.Data = Data
}

// SetWithData 设置Response的Code和Message值 带Data入参数
func (resp *Response) SetCode(Code int) {
	resp.Code = Code
}

// SetStatus 设置默认StatusResponse(内部自定义) 默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatus(sr *basic.StatusResponse, data ...interface{}) {
	resp.Code = sr.Code
	resp.Message = sr.Message
	if len(data) == 1 {
		resp.Data = data[0]
	}
}

// SetStatusWithMessage 设置默认StatusResponse(内部自定义) 非默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatusWithMessage(sr *basic.StatusResponse, msg string, data ...interface{}) {
	resp.Code = sr.Code
	resp.Message = msg
	if len(data) == 1 {
		resp.Data = data[0]
	}
}
